package com.ruoyi.mxjb.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class MxjbStudyStat {
//    @Excel(name = "时间")
    Date time;
//    @Excel(name = "数量")
    Integer count;
    String id;
    String title;
    @Excel(name = "卡号")
    String cardNo;
    @Excel(name = "学生_账号")
    String account;
    @Excel(name = "学校")
    String school;
    @Excel(name = "年级")
    String gradeName;
    @Excel(name = "班级")
    String className;
    @Excel(name = "看视频数")
    Integer videoCount;
    @Excel(name = "视频时长")
    Integer videoAvgTime;
    @Excel(name = "看完微课数")
    Integer microClassCount;
    @Excel(name = "微课时长")
    Integer microClassTime;
    @Excel(name = "完成习题")
    Integer questionCount;
    @Excel(name = "做题时长")
    Integer questionTime;
    @Excel(name = "习题正确率")
    Double scoreRate;
//    @Excel(name = "作业")
    Integer workCount;
//    @Excel(name = "作业正确率")
    Double workRate;


    public Integer getMicroClassCount() {
        return microClassCount;
    }

    public void setMicroClassCount(Integer microClassCount) {
        this.microClassCount = microClassCount;
    }

    public Integer getMicroClassTime() {
        return microClassTime;
    }

    public void setMicroClassTime(Integer microClassTime) {
        this.microClassTime = microClassTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Integer getCount() {
        return null==count?0:count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Integer getQuestionTime() {
        return questionTime;
    }

    public void setQuestionTime(Integer questionTime) {
        this.questionTime = questionTime;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Integer getVideoCount() {
        return null==videoCount?0:videoCount;
    }

    public void setVideoCount(Integer videoCount) {
        this.videoCount = videoCount;
    }

    public Integer getVideoAvgTime() {
        return null==videoAvgTime?0:videoAvgTime;
    }

    public void setVideoAvgTime(Integer videoAvgTime) {
        this.videoAvgTime = videoAvgTime;
    }

    public Integer getQuestionCount() {
        return null==questionCount?0:questionCount;
    }

    public void setQuestionCount(Integer questionCount) {
        this.questionCount = questionCount;
    }

    public Double getScoreRate() {
        return scoreRate;
    }

    public void setScoreRate(Double scoreRate) {
        this.scoreRate = scoreRate;
    }

    public Integer getWorkCount() {
        return workCount;
    }

    public void setWorkCount(Integer workCount) {
        this.workCount = workCount;
    }

    public Double getWorkRate() {
        return workRate;
    }

    public void setWorkRate(Double workRate) {
        this.workRate = workRate;
    }
}
